import time
import schedule

from utils.config_helper import ConfigHelper
from utils.logger_helper import LoggerHelper
from main.runner import Runner

logger = LoggerHelper.get_logger()
DEFAULT_USER_SLEEP_INTERVAL = 60 * 30  # 配置默认时间间隔30分钟

runner = Runner()
runner.run()

interval_str = ConfigHelper().get("schedule.sleep_interval")
try:
    interval = int(interval_str)
except Exception as e:
    interval = DEFAULT_USER_SLEEP_INTERVAL
    logger.warning(
        f"schedule.sleep_interval {interval_str} 配置不正确, 使用默认配置: {DEFAULT_USER_SLEEP_INTERVAL}秒。 错误：{e}"
    )

if __name__ == '__main__':
    while True:
        logger.info(f"等待下次检查执行... {interval}秒后")
        schedule.run_pending()
        time.sleep(interval)
