from utils.logger_helper import LoggerHelper
from stores.data_store_interface import IDataStore


class DefaultDataStore(IDataStore):

    def query_one_process_by_no(self, no):
        pass

    logger = LoggerHelper.get_logger()

    def __init__(self):
        pass

    def insert_collect_data(self, url, keyword, content, is_batch=True):
        self.logger.info(f"Default: INSERT {url}，关键字：{keyword}")

    def save_collect_data(self, is_force=False):
        self.logger.info("Default: SAVE")

    def query_urls_to_process(self):
        self.logger.info("Default: QUERY_TO_PROCESS")

    def query_one_collect_by_url(self, url):
        self.logger.info("Default: QUERY_ONE_PROCESS")

    def insert_process_data(self, data):
        self.logger.info("Default: INSERT_PROCESS_DATA")

    def save_process_data(self, is_force=False):
        self.logger.info("Default: SAVE_PROCESS_DATA")

    def set_process_other_urls(self, url, other_urls: str):
        self.logger.info("Default: SET_PROCESS_OTHER_URLS")

    def query_to_send(self):
        self.logger.info("Default: QUERY_TO_SEND")

    def set_send(self, no: str):
        self.logger.info("Default: SET_SEND")

    def get_email_by_area(self, area: str):
        self.logger.info("Default: GET_EMAIL_BY_AREA")
